summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLukáš Jirkovský2016-08-02 20:46:02 +0200
committerLukáš Jirkovský2016-08-02 20:46:02 +0200
commite711ffc2dffe79715a6afbbb5750924f3b051450 (patch)
tree6ca9b0cd63e981e1f23c9d90b78c7fa940833f64
parent029f647ebd01e7dbe3a44aa9b96082306cc87c99 (diff)
downloadaur-e711ffc2dffe79715a6afbbb5750924f3b051450.tar.gz
update
-rw-r--r--.SRCINFO19
-rw-r--r--PKGBUILD26
-rw-r--r--force_python3.diff6
3 files changed, 30 insertions, 21 deletions
diff --git a/.SRCINFO b/.SRCINFO
index f09e9b29f4e..b5140c43e1b 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,28 +1,31 @@
+# Generated by mksrcinfo v8
+# Tue Aug 2 18:46:02 UTC 2016
pkgbase = luxrays-hg
pkgdesc = Accelerate the ray intersection process by using GPUs
- pkgver = 2448.3cf5d87f54f4
+ pkgver = 3573+.ce44b2b9fe6e+
pkgrel = 1
url = http://www.luxrender.net/
- arch = i686
arch = x86_64
license = GPL
- makedepends = mercurial
- makedepends = cmake
makedepends = boost
+ makedepends = cmake
+ makedepends = freetype2
+ makedepends = gtk3
+ makedepends = libpng
makedepends = mesa
makedepends = opencl-headers
makedepends = glew
makedepends = freeglut
- depends = freetype2
+ makedepends = mercurial
+ depends = embree
depends = libcl
depends = libgl
- depends = libpng
depends = openimageio
- depends = embree
optdepends = opencl-nvidia: OpenCL support for nVidia GPUs
optdepends = amdapp-sdk: OpenCL support for AMD GPUs
optdepends = intel-opencl-runtime: OpenCL support for Intel CPUs
optdepends = glew: demos (SmallLuxGPU etc.)
+ optdepends = gtk3: luxcoreui
optdepends = freeglut: demos (SmallLuxGPU etc.)
optdepends = boost-libs: demos (SmallLuxGPU etc.)
provides = luxrays
@@ -31,7 +34,7 @@ pkgbase = luxrays-hg
source = luxrays::hg+https://bitbucket.org/luxrender/luxrays
source = force_python3.diff
md5sums = SKIP
- md5sums = 3bfb5594a709d1ea772866d66904b8fd
+ md5sums = 36c9823246c2b575415c1709e065727c
pkgname = luxrays-hg
diff --git a/PKGBUILD b/PKGBUILD
index 2e4f1f1cea7..867567609c4 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,18 +1,20 @@
# Maintainer: Lukas Jirkovsky <l.jirkovsky@gmail.com>
# Contributor: Alex Combas <alex.combas@gmail.com>
pkgname=luxrays-hg
-pkgver=2448.3cf5d87f54f4
+pkgver=3573+.ce44b2b9fe6e+
pkgrel=1
pkgdesc="Accelerate the ray intersection process by using GPUs"
-arch=('i686' 'x86_64')
+arch=('x86_64')
url="http://www.luxrender.net/"
license=('GPL')
-depends=('freetype2' 'libcl' 'libgl' 'libpng' 'openimageio' 'embree')
-makedepends=('mercurial' 'cmake' 'boost' 'mesa' 'opencl-headers' 'glew' 'freeglut')
+depends=('embree' 'libcl' 'libgl' 'openimageio')
+makedepends=('boost' 'cmake' 'freetype2' 'gtk3' 'libpng' 'mesa' 'opencl-headers' 'glew' 'freeglut'
+ 'mercurial')
optdepends=('opencl-nvidia: OpenCL support for nVidia GPUs' \
'amdapp-sdk: OpenCL support for AMD GPUs' \
'intel-opencl-runtime: OpenCL support for Intel CPUs' \
'glew: demos (SmallLuxGPU etc.)' \
+ 'gtk3: luxcoreui'
'freeglut: demos (SmallLuxGPU etc.)' \
'boost-libs: demos (SmallLuxGPU etc.)')
options=('staticlibs')
@@ -21,7 +23,7 @@ conflicts=('luxrays')
source=('luxrays::hg+https://bitbucket.org/luxrender/luxrays' \
force_python3.diff)
md5sums=('SKIP'
- '3bfb5594a709d1ea772866d66904b8fd')
+ '36c9823246c2b575415c1709e065727c')
pkgver() {
cd "$srcdir/luxrays"
@@ -31,16 +33,20 @@ pkgver() {
prepare() {
cd "$srcdir/luxrays"
+ # force python3 for boost
patch -Np1 < "$srcdir/force_python3.diff" || true
}
build() {
cd "$srcdir/luxrays"
- cmake -DCMAKE_INSTALL_PREFIX=/usr \
+ cmake . \
+ -DCMAKE_INSTALL_PREFIX=/usr \
-DCMAKE_SKIP_RPATH=ON \
- -DLUXRAYS_DISABLE_OPENCL=OFF \
- .
+ -DLUXRAYS_DISABLE_OPENCL=OFF
+ # this sucks, but luxrays doesn't seem to honor CMAKE_*_LINKER_FLAGS
+ # thanks bartus from AUR for the fix
+ for file in `grep lboost_python -l -R ` ;do sed -i 's/$/ -lpython3/' $file ; done
make
}
@@ -53,8 +59,8 @@ package() {
cp -a include "$pkgdir"/usr
# install pyluxcore to the Python search path
- install -d -m755 "$pkgdir"/usr/lib/python3.4/
- mv "$pkgdir"/usr/lib/pyluxcore.so "$pkgdir"/usr/lib/python3.4/
+ install -d -m755 "$pkgdir"/usr/lib/python3.5/
+ mv "$pkgdir"/usr/lib/pyluxcore.so "$pkgdir"/usr/lib/python3.5/
}
# vim:set ts=2 sw=2 et:
diff --git a/force_python3.diff b/force_python3.diff
index 17ac53c54b1..9dc09b42f7d 100644
--- a/force_python3.diff
+++ b/force_python3.diff
@@ -1,6 +1,6 @@
-diff -rup luxrender-luxrays-7c7127ee1fa4/cmake/Dependencies.cmake luxrender-luxrays-7c7127ee1fa4.new/cmake/Dependencies.cmake
---- luxrender-luxrays-7c7127ee1fa4/cmake/Dependencies.cmake 2015-01-20 23:45:32.000000000 +0100
-+++ luxrender-luxrays-7c7127ee1fa4.new/cmake/Dependencies.cmake 2015-02-15 22:19:40.775351414 +0100
+diff -rup luxrender-luxrays-61352e6aae3f.orig/cmake/Dependencies.cmake luxrender-luxrays-61352e6aae3f/cmake/Dependencies.cmake
+--- luxrender-luxrays-61352e6aae3f.orig/cmake/Dependencies.cmake 2016-05-09 22:17:57.000000000 +0200
++++ luxrender-luxrays-61352e6aae3f/cmake/Dependencies.cmake 2016-05-29 09:04:30.913648230 +0200
@@ -58,7 +58,7 @@ set(Boost_MINIMUM_VERSION "1.44.0"
set(Boost_ADDITIONAL_VERSIONS "1.47.0" "1.46.1" "1.46" "1.46.0" "1.45" "1.45.0" "1.44" "1.44.0")